SAPGui with other Desktops than RedHat or rpm based

dballester at kernpharma.com dballester at kernpharma.com
Fri Mar 18 12:55:08 MET 2005


Hi to all:

      Seems that  libJPlatin.so is hardcoded against
libstdc++-libc6.2-2.so.3

      I'm trying to use sapgui under Ubuntu and when trying to run sapgui,
fail with this message:

############################# ERROR #############################
18.03. 12:35:46.637 ERROR: Cannot load shared library 'JPlatin' or some
dependent library: java.lang.UnsatisfiedLinkError:
/opt/SAPGUI/6.30rev8/bin/libJPlatin.so: libstdc++-libc6.2-2.so.3: cannot
open shared object file: No such file or directory
############################# ERROR #############################

Well, for all of you that may be some day will try Ubuntu, you must know
that it's possible to run sapgui without problems :D . You only need enable
the universe repository in your apt or synaptic config, and install the
libstdc++2.10-glibc2.2 lib with 'apt-get install libstdc++2.10-glibc2.2'

Next time you will start sapgui without problems


Just my 2 cents :)



David Ballester Montolio
GNU/Linux user #206389
GNU/Linux - Unices Sysadmin
Oracle DBA
SAP-BC
Kern Pharma - Grupo Indukern
www.kernpharma.com

skype: david.ballester







More information about the linux.general mailing list